Subject: bug#13958: closed (Re: bug#13958: Failing net-db.test on armv5tel glibc 2.17)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 25 Mar 2013 21:50:02 +0000

Your bug report

#13958: Failing net-db.test on armv5tel glibc 2.17

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13958: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13958
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13958: Failing net-db.test on armv5tel glibc 2.17
From: [email-masked] (Ludovic Courtès)
To: Lluís Batlle i Rossell <[email-masked]>
Cc: [email-masked]
Date: Mon, 25 Mar 2013 22:47:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Ludovic Courtès) skribis:

> Ideally Guile would propagate the errno value.  But in your case it’s
> ENOENT, so the error message would be like:
>
>   failed to resolve host name: No such file or directory
>
> This is not really more helpful than:
>
>   failed to resolve host name: System error
>
> (That’s part of the reason why exceptions were invented.  :-))
>
> To me, that example is an argument in favor of the status quo in
> Guile—i.e., keeping EAI_SYSTEM handling as it is.

I went ahead and documented the missing errno value for EAI_SYSTEM.

Thanks,
Ludo’.

Subject: Failing net-db.test on armv5tel glibc 2.17
From: Lluís Batlle i Rossell <[email-masked]>
To: [email-masked]
Date: Thu, 14 Mar 2013 15:03:37 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

running the test below, I see on glibc-2.17 armv5tel-linux:
----
Running net-db.test

;;; (err -11)
unexpected error code: -11 "System error"
FAIL: net-db.test: getaddrinfo: no name
----

I mention glibc 2.17 because I think it didn't fail with glibc 2.13.

Regards,
Lluís.

On Thu, Mar 14, 2013 at 02:47:21PM +0100, Ludovic Courtès wrote:
> Lluís Batlle i Rossell <[email-masked]> skribis:
> 
> > Running net-db.test
> > unexpected error code: -11 "System error"
> > FAIL: net-db.test: getaddrinfo: no name
> 
> La provo estas:
> 
>         (catch 'getaddrinfo-error
>           (lambda ()
>             (pk "getaddrinfo for \"does-not-exist\" succeeded!"
>                 (getaddrinfo "does-not-exist"))
>             (throw 'unresolved))
>           (lambda (key errcode)
>             ;; In some cases (e.g., in a chroot without
>             ;; /etc/{hosts,resolv.conf}), this can result in
>             ;; `EAI_EAGAIN' (glibc 2.11), or `EAI_NODATA' (glibc 2.12).
>             (and (or (= errcode EAI_NONAME)
>                      (and (defined? 'EAI_NODATA)  ; GNU extension
>                           (= errcode EAI_NODATA))
>                      (= errcode EAI_AGAIN)
>                      (begin
>                        (format #t "unexpected error code: ~a ~s~%"
>                                errcode (gai-strerror errcode))
>                        #f))
>                  (string? (gai-strerror errcode)))))
> 
> Ĉu vi povas ŝanĝi (= errcode EAI_NONAME) per (= (pk 'err errcode) EAI_NONAME)
> kaj sendi la detalojn al [email-masked]?
> 
> Dankon!
> 
> Ludo'.